Bug 29687 - Get rid of an uninitialized warning in XSLT.pm
Summary: Get rid of an uninitialized warning in XSLT.pm
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Nick Clemens
URL:
Keywords:
Depends on:
Blocks: 25790
  Show dependency treegraph
 
Reported: 2021-12-13 13:22 UTC by Marcel de Rooy
Modified: 2022-05-17 11:57 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.04,21.05.13


Attachments
Bug 29687: Uninitialized warning C4/XSLT line 286 (978 bytes, patch)
2021-12-13 13:29 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29687: Uninitialized warning C4/XSLT line 286 (995 bytes, patch)
2022-02-25 14:01 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2021-12-13 13:22:00 UTC

    
Comment 1 Marcel de Rooy 2021-12-13 13:29:10 UTC
Created attachment 128460 [details] [review]
Bug 29687: Uninitialized warning C4/XSLT line 286

From plack-opac-error.log:
[WARN] Use of uninitialized value $value in concatenation (.) or string at /usr/share/koha/C4/XSLT.pm line 286.

Test plan:
An opac search triggered the warning. So repeat it without warns.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2022-02-24 15:13:05 UTC
Had much more of these warns, but no time to remove them all ;)
Just submitting this one now here.
Comment 3 Marcel de Rooy 2022-02-24 15:13:31 UTC
Super trivial: self SO
Comment 4 Nick Clemens 2022-02-25 14:01:49 UTC
Created attachment 131122 [details] [review]
Bug 29687: Uninitialized warning C4/XSLT line 286

From plack-opac-error.log:
[WARN] Use of uninitialized value $value in concatenation (.) or string at /usr/share/koha/C4/XSLT.pm line 286.

Test plan:
An opac search triggered the warning. So repeat it without warns.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Fridolin Somers 2022-03-02 08:48:52 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 6 Kyle M Hall 2022-03-04 13:26:32 UTC
Pushed to 21.11.x for 21.11.04
Comment 7 Andrew Fuerste-Henry 2022-03-20 15:15:20 UTC
Pushed to 21.05.x for 21.05.13
Comment 8 Victor Grousset/tuxayo 2022-03-21 00:17:33 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.